Package org.apache.sysds.utils

## Enum NativeHelper.NativeBlasState

- java.lang.Object
- - java.lang.Enum<NativeHelper.NativeBlasState>
  - - org.apache.sysds.utils.NativeHelper.NativeBlasState

- All Implemented Interfaces:
    `Serializable`, `Comparable<NativeHelper.NativeBlasState>`
  Enclosing class:
    NativeHelper

      public static enum NativeHelper.NativeBlasState
      extends Enum<NativeHelper.NativeBlasState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ATTEMPTED_LOADING_NATIVE_BLAS_UNSUCCESSFULLY` |
    `NOT_ATTEMPTED_LOADING_NATIVE_BLAS` |
    `SUCCESSFULLY_LOADED_NATIVE_BLAS_AND_IN_USE` |
    `SUCCESSFULLY_LOADED_NATIVE_BLAS_AND_NOT_IN_USE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static NativeHelper.NativeBlasState` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static NativeHelper.NativeBlasState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_ATTEMPTED_LOADING_NATIVE_BLAS

          public static final NativeHelper.NativeBlasState NOT_ATTEMPTED_LOADING_NATIVE_BLAS

    - #### SUCCESSFULLY_LOADED_NATIVE_BLAS_AND_IN_USE

          public static final NativeHelper.NativeBlasState SUCCESSFULLY_LOADED_NATIVE_BLAS_AND_IN_USE

    - #### SUCCESSFULLY_LOADED_NATIVE_BLAS_AND_NOT_IN_USE

          public static final NativeHelper.NativeBlasState SUCCESSFULLY_LOADED_NATIVE_BLAS_AND_NOT_IN_USE

    - #### ATTEMPTED_LOADING_NATIVE_BLAS_UNSUCCESSFULLY

          public static final NativeHelper.NativeBlasState ATTEMPTED_LOADING_NATIVE_BLAS_UNSUCCESSFULLY

  - ### Method Detail

    - #### values

          public static NativeHelper.NativeBlasState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NativeHelper.NativeBlasState c : NativeHelper.NativeBlasState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NativeHelper.NativeBlasState valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null